// 房间
import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';
Vue.use(Vuex);
const api = {
  roomInfo: `/api/onlive/room`,
};
const state = () => ({});
const mutations = {};

const actions = {
  async query({ commit }, { skip = 0, limit = 10, ...info } = {}) {
    const res = await this.$axios.$get(api.roomInfo, {
      skip,
      limit,
      ...info,
    });
    return res;
  },
  async create({ commit }, payload) {
    const res = await this.$axios.$post(`${api.roomInfo}`, payload);
    return res;
  },
  async fetch({ commit }, payload) {
    const res = await this.$axios.$get(`${api.roomInfo}/${payload}`);
    return res;
  },
  async update({ commit }, { id, ...info } = {}) {
    const res = await this.$axios.$post(`${api.roomInfo}/update/${id}`, {
      ...info,
    });
    return res;
  },
  async delete({ commit }, payload) {
    const res = await this.$axios.$delete(`${api.roomInfo}/${payload}`);
    return res;
  },
  async startrecord({ commit }, info) {
    const res = await this.$axios.$get(`${api.roomInfo}/starttranscode`, info);
    return res;
  },
  async stoprecord({ commit }, info) {
    const res = await this.$axios.$get(`${api.roomInfo}/stoptranscode`, info);
    return res;
  },
  async deletefile({ commit }, info) {
    const res = await this.$axios.$get(`${api.roomInfo}/deletefile`, info);
    return res;
  },
};

export default {
  namespaced: true,
  state,
  mutations,
  actions,
};
